if InvenSimulatorUI.class ~= "도적" then return end

function InvenSimulatorUI:InitClassBuff()
	return 7, {
		"암살의 제복(2 피스 효과)", 37163, "가속도 160만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("암살의 제복") >= 2 end,
		"거친 황야 의복(4 피스 효과)", 37612, "전투력 160만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("거친 황야 의복") >= 4 end,
		"아지노스의 쌍날검(2 피스 효과)", 41435, "가속도 450만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("아지노스의 쌍날검") >= 2 end,
		"원시 축복(2 피스 효과)", 24255, "전투력 300만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("원시 축복") >= 2 end,
		"난도질", 6774, "근접 공격 속도 40%만큼 증가", nil,
		"회피", 26669, "회피 확률 50%만큼 증가", nil,
		"피의 갈망", 51662, "공격력 5%만큼 증가", function() return InvenSimulatorUI.db.talents["암살;피의 갈망"] == 1 end,
	}
end

function InvenSimulatorUI:ApplyTalent()
	if self:GetSetItemPiece("학살자의 제복") >= 2 then
		self:UpdateClassBuffText("난도질", "근접 공격 속도 45%만큼 증가")
	else
		self:UpdateClassBuffText("난도질", "근접 공격 속도 40%만큼 증가")
	end
	if self:HasGlyphs("피의 갈망의 문양") then
		self:UpdateClassBuffText("피의 갈망", "공격력 8%만큼 증가")
	else
		self:UpdateClassBuffText("피의 갈망", "공격력 5%만큼 증가")
	end
	-- 원한(5) 치명타율 +1,2,3,4,5%
	self:AddSpec("치명타율", "원한", 1)
	self:AddSpec("원거리 치명타율", "원한", 1)
	-- 쌍수 무기 전문화(5) 보조장비 공격력 배율 +10,20,30,40,50%
	if self.specTable["무기2 최소 공격력"] then
		self:MultiSpec("보조장비 공격력 배율", "쌍수 무기 전문화", 0.1)
	end
	-- 재빠른 손놀림(3) 무기 막기 +2,4,6%
	self:AddSpec("무기 막기", "재빠른 손놀림", 2)
	-- 지구력(2) 체력 +2,4%
	self:MultiSpec("체력", "지구력", 0.02)
	-- 번개같은 반사 신경(3) 회피율 +2,4,6%
	self:AddSpec("회피율", "번개같은 반사 신경", 2)
	-- 번개같은 반사 신경(3) 근접 가속도 4,7,10%증가
	if self.db.talents["전투;번개같은 반사 신경"] == 1 then
		self:MultiSpec("공격 속도 배율", 0.04)
	elseif self.db.talents["전투;번개같은 반사 신경"] == 2 then
		self:MultiSpec("공격 속도 배율", 0.07)
	elseif self.db.talents["전투;번개같은 반사 신경"] == 3 then
		self:MultiSpec("공격 속도 배율", 0.1)
	end
	-- 무기 전문가(2) 숙련 +5,10
	self:AddSpec("숙련", "무기 전문가", 5)
	-- 사악한 충동(5) 민첩성 +3,6,9,12,15%
	self:MultiSpec("민첩성", "사악한 충동", 0.03)
	-- 백병전(5) 단검과 장착 무기로 치명타를 적중시킬 확률 +1,2,3,4,5%
	if self.db.talents["전투;백병전"] then
		local wt
		if self.db.items[16] then
			wt = select(7, GetItemInfo(self.db.items[16]))
			if wt == "단검류" or wt == "장착 무기류" then
				self:AddSpec("치명타율", "백병전", 1)
			elseif self.db.items[17] then
				wt = select(7, GetItemInfo(self.db.items[17]))
				if wt == "단검류" or wt == "장착 무기류" then
					--self:AddSpec("치명타율", "백병전", 1)
				end
			end
		end
	end
	-- 학살(2) 모든 공격력 +2,4%
	self:MultiSpec("주장비 공격력 배율", "학살", 0.02)
	self:MultiSpec("보조장비 공격력 배율", "학살", 0.02)
	self:MultiSpec("원거리 장비 공격력 배율", "학살", 0.02)
	-- 어둠의 학살자(5) 공격력 +1,2,3,4,5%
	self:MultiSpec("주장비 공격력 배율", "학살", 0.01)
	self:MultiSpec("보조장비 공격력 배율", "학살", 0.01)
	self:MultiSpec("원거리 장비 공격력 배율", "학살", 0.01)
end

function InvenSimulatorUI:ApplyLastTalent()

end

function InvenSimulatorUI:ApplyLastMultiTalent()
	-- 야만적인 전투(2) 전투력 +2,4%
	self:MultiSpec("전투력", "야만적인 전투", 0.02)
	-- 적개심(5) 전투력 +2,4,6,8,10%
	self:MultiSpec("전투력", "적개심", 0.02)
end